Reorder automation rules
curl --request PATCH \
--url https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/automation_rules/reorder \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"rule_ids": [
"<string>"
]
}
'const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({rule_ids: ['<string>']})
};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/automation_rules/reorder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/automation_rules/reorder"
payload = { "rule_ids": ["<string>"] }
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"rule_ids": [
"<string>"
]
}{
"error": "Form does not exist."
}{
"error": "rule_ids must list every id of the form exactly once."
}Automation rules
Reorder automation rules
Set the order in which the automation rules of a form run. Send every rule ID of the form, in the new order.
PATCH
/
forms
/
{form_id}
/
automation_rules
/
reorder
Reorder automation rules
curl --request PATCH \
--url https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/automation_rules/reorder \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"rule_ids": [
"<string>"
]
}
'const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({rule_ids: ['<string>']})
};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/automation_rules/reorder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/automation_rules/reorder"
payload = { "rule_ids": ["<string>"] }
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"rule_ids": [
"<string>"
]
}{
"error": "Form does not exist."
}{
"error": "rule_ids must list every id of the form exactly once."
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique ID of the form. Refer to Getting the Form ID for detailed instructions.
Body
application/json
Every automation rule ID of the form, in the new order. Each ID must appear exactly once.
Response
OK - The new order